Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156070 - conflict with DB_CONFIG
Summary: conflict with DB_CONFIG
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 11:45 UTC by David Relson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 16:21:39 UTC


Attachments (Terms of Use)

Description David Relson 2005-04-27 11:45:14 UTC
As bogofilter's lead developer I happened to have a DB_CONFIG file in the
directory when I ran "make rpm".  This causes 'rpm -qf' to fail.  rpm shouldn't
be looking in my current directory for DB_CONFIG!

[relson@osage tmp]$ rpm -q rpm
rpm-4.2.3-9mdk

[relson@osage tmp]$ rpm -qf /bin/bash
bash-3.0-2mdk

[relson@osage tmp]$ echo set_flags DB_LOG_AUTOREMOVE > DB_CONFIG

[relson@osage tmp]$ rpm -qf /bin/bash
error: cannot open Basenames index using db3 - Invalid argument (22)
error: cannot open Providename index using db3 - Invalid argument (22)
file /bin/bash is not owned by any package

### notice that creating DB_CONFIG in /tmp causes 'rpm -qf' to fail

Comment 1 Jeff Johnson 2006-02-03 16:21:39 UTC
This is configuration functionality, not a bug, provided by Berkeley DB.

"Don't do that." is the best answer.


Note You need to log in before you can comment on or make changes to this bug.